Get Transaction Route by ID
curl --request GET \
--url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"description": "Settlement route for service charges",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationRoutes": [
{
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"account": {
"ruleType": "alias",
"validIf": "<unknown>"
},
"accountingEntries": {
"block": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"cancel": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"commit": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"crossLedger": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"direct": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"hold": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"overdraft": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"revert": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"unblock": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
}
},
"code": "EXT-001",
"description": "This operation route handles cash-in transactions from service charge collections",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationType": "source",
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Cashin from service charge"
}
],
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Charge Settlement"
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}Get Transaction Route by ID
deprecated
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transaction-routes
/
{transaction_route_id}
Get Transaction Route by ID
curl --request GET \
--url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes/{transaction_route_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": "2025-01-01T00:00:00Z",
"deletedAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-01T00:00:00Z",
"description": "Settlement route for service charges",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationRoutes": [
{
"createdAt": "2021-01-01T00:00:00Z",
"deletedAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"account": {
"ruleType": "alias",
"validIf": "<unknown>"
},
"accountingEntries": {
"block": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"cancel": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"commit": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"crossLedger": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"direct": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"hold": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"overdraft": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"revert": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
},
"unblock": {
"credit": {
"code": "1001",
"description": "Cash"
},
"debit": {
"code": "1001",
"description": "Cash"
}
}
},
"code": "EXT-001",
"description": "This operation route handles cash-in transactions from service charge collections",
"id": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"ledgerId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"metadata": {},
"operationType": "source",
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Cashin from service charge"
}
],
"organizationId": "01965ed9-7fa4-75b2-8872-fc9e8509ab0a",
"title": "Charge Settlement"
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}{
"code": "0065",
"message": "<string>",
"title": "Invalid Path Parameter",
"entityType": "Account",
"fields": {}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Organization ID (UUID)
Ledger ID (UUID)
Transaction Route ID (UUID)
Response
OK
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Example:
"Settlement route for service charges"
Example:
"01965ed9-7fa4-75b2-8872-fc9e8509ab0a"
Example:
"01965ed9-7fa4-75b2-8872-fc9e8509ab0a"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"01965ed9-7fa4-75b2-8872-fc9e8509ab0a"
Example:
"Charge Settlement"
Was this page helpful?

